heh, I like the way that it's ME asking stupid questions.

Why on earth does it matter what version of MSN someone's using? All cool dudes use ICQ anyway; MSN's installed by default for pussies who don't know how to install decent IM software.

Perhaps the way you know that they're lying can lead to a way of determining programmatically what version they're using. Cos if you know, then there must be a way to determine it (because you just did, unless of course YOU are lying), and if there's a way to determine it then there's a way to program it. But hey, what do I know with only 29 years of programming experience. Obviously I'm stupid.

Oh, and LOL@Saswat too. "may be"..."probably"...your post is nearly as useless as mine have been as you're only guessing!